> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ontime.hosai.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Update organization profile

> Update organization profile



## OpenAPI

````yaml /api-reference/openapi.json patch /api/config/organization
openapi: 3.1.0
info:
  title: ontime API
  description: APIs for ontime.v2
  version: 1.0.0
servers:
  - url: https://app.ontime.hosai.app
    description: Production
security:
  - apiKey: []
paths:
  /api/config/organization:
    patch:
      tags:
        - Config
      summary: Update organization profile
      description: Update organization profile
      operationId: patchApiConfigOrganization
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                  maxLength: 120
                legalName:
                  anyOf:
                    - type: string
                      maxLength: 160
                    - type: 'null'
                country:
                  type: string
                  minLength: 2
                  maxLength: 2
                currency:
                  type: string
                  minLength: 1
                  maxLength: 8
                offsiteReasons:
                  maxItems: 20
                  type: array
                  items:
                    type: string
                    minLength: 1
                    maxLength: 60
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                    pattern: >-
                      ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                  name:
                    type: string
                  legalName:
                    anyOf:
                      - type: string
                      - type: 'null'
                  country:
                    type: string
                  currency:
                    type: string
                  fyStartMonth:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                  fyStartLabel:
                    type: string
                  offsiteReasons:
                    type: array
                    items:
                      type: string
                required:
                  - id
                  - name
                  - legalName
                  - country
                  - currency
                  - fyStartMonth
                  - fyStartLabel
                  - offsiteReasons
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: ont_ API key
      description: >-
        Issue keys in Settings → API. Send them as `Authorization: Bearer ont_…`
        (an `X-Api-Key: ont_…` header is also accepted). Session-cookie routes
        are used by the OnTime web apps and are shown for completeness.

````